
function appendSceneForm(i) {
  $('#scenes').append(
    '<div class="scene hoverable blue-grey lighten-5" data-scene-id="'+i+'">'+

      '<p class="chip blue white-text scene-title">Scene '+i+'</p>'+

      '<button type="button" role="button" class="btn-rm-scene btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove scene">'+
        '<i class="material-icons">close</i>'+
      '</button>'+

      '<div class="row">'+
        '<div class="col s12 m6">'+
          '<div class="file-field input-field">'+
            '<div class="btn">'+
              '<span>BG IMAGE</span>'+
              '<input type="file" name="scenes['+i+'][background_image]" id="scenes['+i+'][background_image]" />'+
            '</div>'+
            '<div class="file-path-wrapper">'+
              '<input class="file-path validate" type="text" />'+
            '</div>'+
          '</div>'+
        '</div>'+
        '<div class="col s12 m6">'+
          '<div class="file-field input-field">'+
            '<div class="btn">'+
              '<span>Audio</span>'+
              '<input type="file" name="scenes['+i+'][audio]" id="scenes['+i+'][audio]" />'+
            '</div>'+
            '<div class="file-path-wrapper">'+
              '<input class="file-path validate" type="text" />'+
            '</div>'+
          '</div>'+
        '</div>'+
      '</div>'+

      '<div class="row">'+
        '<p><small>Background Position</small></p>'+

        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes['+i+'][background_default_view][0]" id="scenes['+i+'][background_default_view][0]" />'+
          '<label for="scenes['+i+'][background_default_view][0]">x1</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes['+i+'][background_default_view][1]" id="scenes['+i+'][background_default_view][1]" />'+
          '<label for="scenes['+i+'][background_default_view][1]">y1</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes['+i+'][background_default_view][2]" id="scenes['+i+'][background_default_view][2]" />'+
          '<label for="scenes['+i+'][background_default_view][2]">x2</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes['+i+'][background_default_view][3]" id="scenes['+i+'][background_default_view][3]" />'+
          '<label for="scenes['+i+'][background_default_view][]3">y2</label>'+
        '</div>'+
      '</div>'+

      '<div class="switch">'+
        '<label>'+
          'Loop Off'+
          '<input type="checkbox" name="scenes['+i+'][loop_audio]" id="scenes['+i+'][loop_audio]" value="1" />'+
          '<span class="lever"></span>'+
          'Loop On'+
        '</label>'+
      '</div>'+

      '<div class="row">'+
        '<div class="col s12">'+
            '<a class="waves-effect waves-teal green lighten-3 btn-flat white-text right add-shot">'+
              '<i class="material-icons left">add</i>'+
              'Add Shot'+
            '</a>'+
        '</div>'+
      '</div>'+

      '<ul class="collapsible expandable shots">'+

      '</ul>'+

    '</div>'+

    '<hr>'
  );
  $('.tooltipped').tooltip();
}

function appendShotForm(i, j) {
  $(`.scene[data-scene-id="${i}"] .shots`).append(
    '<li class="shot" data-shot-id="'+j+'">'+
      '<div class="collapsible-header">Shot '+j+'</div>'+
      '<div class="collapsible-body grey lighten-5">'+
          '<div class="shot-elem">'+

            '<p class="chip green white-text">Shot '+j+'</p>'+

            '<button type="button" role="button" class="btn-rm-shot btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove shot">'+
              '<i class="material-icons">close</i>'+
            '</button>'+

            '<div class="row">'+
              '<div class="input-field col s12 m6">'+
                '<select name="scenes['+i+'][shots]['+j+'][character_type]" id="scenes['+i+'][shots]['+j+'][character_type]">'+
                  '<option value="full">Full</option>'+
                  '<option value="half">Half</option>'+
                  '<option value="none">None</option>'+
                '</select>'+
                '<label for="scenes['+i+'][shots]['+j+'][character_type]">Character Type</label>'+
              '</div>'+

              '<div class="file-field input-field col s12 m6">'+
                '<div class="btn">'+
                  '<span>CHARACTER IMAGE</span>'+
                  '<input type="file" name="scenes['+i+'][shots]['+j+'][character_image]" id="scenes['+i+'][shots]['+j+'][character_image]" />'+
                '</div>'+
                '<div class="file-path-wrapper">'+
                  '<input class="file-path validate" type="text">'+
                '</div>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="input-field col s12 m6">'+
                '<input type="text" name="scenes['+i+'][shots]['+j+'][name]" id="scenes['+i+'][shots]['+j+'][name]" value="..." />'+
                '<label for="scenes['+i+'][shots]['+j+'][character_image]">Name</label>'+
              '</div>'+

              '<div class="input-field col s12 m6">'+
                '<input type="text" name="scenes['+i+'][shots]['+j+'][dialogue]" id="scenes['+i+'][shots]['+j+'][dialogue]" value="" />'+
                '<label for="scenes['+i+'][shots]['+j+'][dialogue]">Dialogue</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="file-field col s12 m6 input-field">'+
                '<div class="btn">'+
                  '<span>Audio</span>'+
                  '<input type="file" name="scenes['+i+'][shots]['+j+'][audio]" id="scenes['+i+'][shots]['+j+'][audio]" />'+
                '</div>'+
                '<div class="file-path-wrapper">'+
                  '<input class="file-path validate" type="text">'+
                '</div>'+
              '</div>'+

              '<div class="col s12 m6 input-field">'+
                '<select name="scenes['+i+'][shots]['+j+'][background_audio]" id="scenes['+i+'][shots]['+j+'][background_audio]" >'+
                  '<option value="resume">Resume</option>'+
                  '<option value="pause">Pause</option>'+
                '</select>'+
                '<label for="scenes['+i+'][shots]['+j+'][background_audio]">Character Position</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="col s12 m6 input-field">'+
                '<input type="number" name="scenes['+i+'][shots]['+j+'][background_volume]" id="scenes['+i+'][shots]['+j+'][background_volume]" />'+
                '<label for="scenes['+i+'][shots]['+j+'][background_volume]">Background Volume</label>'+
              '</div>'+
              '<div class="col s12 m6 input-field">'+
                '<select name="scenes['+i+'][shots]['+j+'][character_position]" id="scenes['+i+'][shots]['+j+'][character_position]" >'+
                  '<option value="left">Left</option>'+
                  '<option value="right">Right</option>'+
                  '<option value="center">Center</option>'+
                '</select>'+
                '<label for="scenes['+i+'][shots]['+j+'][character_position]">Character Position</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+

              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes['+i+'][shots]['+j+'][background_position][0]" id="scenes['+i+'][shots]['+j+'][background_position][0]" />'+
                '<label for="scenes['+i+'][shots][][background_position][0]">x1</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes['+i+'][shots]['+j+'][background_position][1]" id="scenes['+i+'][shots]['+j+'][background_position][1]" />'+
                '<label for="scenes['+i+'][shots][][background_position][1]">y1</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes['+i+'][shots]['+j+'][background_position][2]" id="scenes['+i+'][shots]['+j+'][background_position][2]" />'+
                '<label for="scenes['+i+'][shots][][background_position][2]">x2</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes['+i+'][shots]['+j+'][background_position][3]" id="scenes['+i+'][shots]['+j+'][background_position][3]" />'+
                '<label for="scenes['+i+'][shots]['+j+'][background_position][3]">y2</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="col s12 input-field">'+
                '<select name="scenes['+i+'][shots]['+j+'][background_animation]" id="scenes['+i+'][shots]['+j+'][background_animation]">'+
                  '<option value="fade">Fade</option>'+
                  '<option value="shake">Shake</option>'+
                '</select>'+
                '<label for="scenes['+i+'][shots]['+j+'][background_animation]">Background Animation</label>'+
              '</div>'+
            '</div>'+
          '</div>'+

      '</div>'+
    '</li>'
  );
  // M.Collapsible.init(document.querySelector('.collapsible.expandable'), {
  //   accordion: false
  // });
  $('.collapsible.expandable').collapsible({
    accordion: false
  });

  $('select').formSelect();
  $('.tooltipped').tooltip();
}
