$(document).ready(() => {
  if ($('#phrase').length !== 0) {

    appendFormElements();
    updateIndex();

    $('#add_phrase').on('click', (event) => {
      event.preventDefault();
      appendFormElements();
      updateIndex();
    });

    $(document).on('click','.remove_phrase', (event) => {
      event.preventDefault();
      let id = $(event.target).attr('data-index');
      $(`.phrase-element[data-id=${id}]`).remove();
      updateIndex();
    });
  }
});

function updateIndex() {
  $('.phrase-element').each((index, element) => {
    $(element).attr('data-id', index);

    $(element).find('.remove_phrase').attr('data-index', index);

    $(element).find('.input-field').each((i, e) => {
      $(e).find('input[data-name]').each((j, input) => {
        let name = $(input).attr('data-name');
        $(input).attr('name', `name[${index}][${name}]`);
        $(input).attr('id', `name[${index}][${name}]`);
        $(input).siblings('label').attr('for', `name[${index}][${name}]`);
      });
    });
  });
}

function appendFormElements() {
  $('#phrase').append(
    '<div class="row phrase-element" data-id="">'+

      '<div class="input-field col s12 m6">'+
        '<i class="material-icons prefix">linear_scale</i>'+
        '<input type="text" name="name[][local_word]" data-name="local_word" id="name[][local_word]" class="validate" required />'+
        '<label for="name[][local_word]">Local Word</label>'+
      '</div>'+

      '<div class="input-field col s12 m6">'+
        '<i class="material-icons prefix">group_work</i>'+
        '<input type="text" name="name[][english_word]" data-name="english_word" id="name[][english_word]" class="validate" required />'+
        '<label for="name[][english_word]">English Word</label>'+
      '</div>'+

      '<div class="input-field file-field col s12 m6">'+
        '<div class="btn">'+
          '<span><i class="material-icons left">audiotrack</i>Audio</span>'+
          '<input type="file" name="name[][audio]" data-name="audio" id="name[][audio]" accept="audio/*" required>'+
        '</div>'+
        '<div class="file-path-wrapper">'+
          '<input class="file-path validate" type="text">'+
        '</div>'+
        '<label for="name[][audio]" class="hide">Audio</label>'+
      '</div>'+

      '<div class="input-field file-field col s12 m6">'+
        '<div class="btn">'+
          '<span><i class="material-icons left">photo</i>Image</span>'+
          '<input type="file" name="name[][image]" data-name="image" id="name[][image]" accept="image/*" required>'+
        '</div>'+
        '<div class="file-path-wrapper">'+
          '<input class="file-path validate" type="text">'+
        '</div>'+
        '<label for="name[][image]" class="hide">Image</label>'+
      '</div>'+

      '<button class="waves-effect waves-red btn-small btn-flat right red lighten-5 red-text remove_phrase" data-index="">'+
        '<i class="material-icons left">remove_circle</i>REMOVE'+
      '</button>'+
      '<hr>'+
    '</div>'
  );
}

