$(document).ready(() => {
  // appendSceneForm();
  // appendSceneForm();
  // updateSceneIndex();

  // appendShotForm(0);
  // appendShotForm(1);
  // appendShotForm(1);

  updateSceneIndex();

  $(document).on('click', '.add-scene', (event) => {
    event.preventDefault();
    appendSceneForm();
    updateSceneIndex();
  });

  $(document).on('click', '.add-shot', (event) => {
    event.preventDefault();
    let id = $(event.currentTarget).closest('.scene').attr('data-scene-id');
    appendShotForm(id);
    updateSceneIndex();
  });

  $(document).on('click', '.btn-rm-scene', (event) => {
    event.preventDefault();
    $(event.currentTarget).closest('.scene').remove();
    updateSceneIndex();
  });

  $(document).on('click', '.btn-rm-shot', (event) => {
    event.preventDefault();
    $(event.currentTarget).closest('.shot').remove();
    updateSceneIndex();
  });
});

function updateSceneIndex() {
  $('.scene').each((index, element) => {
    $(element).attr('data-scene-id', index);
    $(element).find('.scene-title').html(`Scene ${index}`);

    $(element).find('.input-field').each((i, e) => {
      $(e).find('input[data-scene-name]').each((j, input) => {
        let name = $(input).attr('data-scene-name');
        // console.log(`scenes[${index}]${name}`);
        $(input).attr('name', `scenes[${index}]${name}`);
        $(input).attr('id', `scenes[${index}]${name}`);
        $(input).siblings('label').attr('for', `name[${index}]${name}`);
      });
    });

    $(element).find('.shot').each((i, e) => {
      $(e).attr('data-shot-id', i);
      $(e).find('.shot-title').html(`Shot ${i}`);

      $(e).find('*[data-shot-name]').each((j, input) => {
        let name = $(input).attr('data-shot-name');
        // console.log(`scenes[${index}][shots][${i}]${name}`);
        $(input).attr('name', `scenes[${index}][shots][${i}]${name}`);
        $(input).attr('id', `scenes[${index}][shots][${i}]${name}`);
        $(input).siblings('label').attr('for', `scenes[${index}][shots][${i}]${name}`);
      });
    });
  });
  console.log('updated indices');
}

function appendSceneForm() {
  $('#scenes').append(
    '<div class="scene hoverable blue-grey lighten-5" data-scene-id="">'+

      '<p class="chip blue white-text scene-title">Scene </p>'+

      '<button type="button" role="button" class="btn-rm-scene btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove scene">'+
        '<i class="material-icons">close</i>'+
      '</button>'+

      '<div class="row">'+
        '<div class="col s12 m6">'+
          '<div class="file-field input-field">'+
            '<div class="btn">'+
              '<span>BG IMAGE</span>'+
              '<input type="file" name="scenes[][background_image]" id="scenes[][background_image]" data-scene-name="[background_image]"  accept="image/*" />'+
            '</div>'+
            '<div class="file-path-wrapper">'+
              '<input class="file-path validate" type="text" />'+
            '</div>'+
          '</div>'+
        '</div>'+
        '<div class="col s12 m6">'+
          '<div class="file-field input-field">'+
            '<div class="btn">'+
              '<span>Audio</span>'+
              '<input type="file" name="scenes[][audio]" id="scenes[][audio]" data-scene-name="[audio]" accept="audio/*" />'+
            '</div>'+
            '<div class="file-path-wrapper">'+
              '<input class="file-path validate" type="text" />'+
            '</div>'+
          '</div>'+
        '</div>'+
      '</div>'+

      '<div class="row">'+
        '<p><small>Background Position</small></p>'+

        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes[][background_default_view][0]" id="scenes[][background_default_view][0]" data-scene-name="[background_default_view][0]" />'+
          '<label for="scenes[][background_default_view][0]">x1</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes[][background_default_view][1]" id="scenes[][background_default_view][1]" data-scene-name="[background_default_view][1]" />'+
          '<label for="scenes[][background_default_view][1]">y1</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes[][background_default_view][2]" id="scenes[][background_default_view][2]" data-scene-name="[background_default_view][2]" />'+
          '<label for="scenes[][background_default_view][2]">x2</label>'+
        '</div>'+
        '<div class="input-field col s6 m3">'+
          '<input type="number" name="scenes[][background_default_view][3]" id="scenes[][background_default_view][3]" data-scene-name="[background_default_view][3]" />'+
          '<label for="scenes[][background_default_view][]3">y2</label>'+
        '</div>'+
      '</div>'+

      '<div class="switch input-field">'+
        '<label>'+
          'Loop Off'+
          '<input type="checkbox" name="scenes[][loop_audio]" id="scenes[][loop_audio]" data-scene-name="[loop_audio]" value="1" />'+
          '<span class="lever"></span>'+
          'Loop On'+
        '</label>'+
      '</div>'+

      '<div class="row">'+
        '<div class="col s12">'+
          '<a class="add-shot waves-effect waves-teal green lighten-3 btn-flat white-text right">'+
            '<i class="material-icons left">add</i>'+
            'Add Shot'+
          '</a>'+
        '</div>'+
      '</div>'+

      '<ul class="collapsible expandable shots">'+

      '</ul>'+

    '</div>'
  );
  $('.tooltipped').tooltip();
}

function appendShotForm(i) {
  $(`.scene[data-scene-id="${i}"] .shots`).append(
    '<li class="shot active" data-shot-id="">'+
      '<div class="collapsible-header shot-title">Shot </div>'+
      '<div class="collapsible-body grey lighten-5">'+
          '<div class="shot-elem">'+

            '<p class="chip green white-text shot-title">Shot </p>'+

            '<button type="button" role="button" class="btn-rm-shot btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove shot">'+
              '<i class="material-icons">close</i>'+
            '</button>'+

            '<div class="row">'+
              '<div class="input-field col s12 m6">'+
                '<select name="scenes[][shots][][character_type]" id="scenes[][shots][][character_type]" data-shot-name="[character_type]" >'+
                  '<option value="full">Full</option>'+
                  '<option value="half">Half</option>'+
                  '<option value="none">None</option>'+
                '</select>'+
                '<label for="scenes[][shots][][character_type]">Character Type</label>'+
              '</div>'+

              '<div class="file-field input-field col s12 m6">'+
                '<div class="btn">'+
                  '<span>CHARACTER IMAGE</span>'+
                  '<input type="file" name="scenes[][shots][][character_image]" id="scenes[][shots][][character_image]" data-shot-name="[character_image]" accept="image/*" />'+
                '</div>'+
                '<div class="file-path-wrapper">'+
                  '<input class="file-path validate" type="text">'+
                '</div>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="input-field col s12 m6">'+
                '<input type="text" name="scenes[][shots][][name]" id="scenes[][shots][][name]" data-shot-name="[name]" value="..." />'+
                '<label for="scenes[][shots][][character_image]">Name</label>'+
              '</div>'+

              '<div class="input-field col s12 m6">'+
                '<input type="text" name="scenes[][shots][][dialogue]" id="scenes[][shots][][dialogue]" data-shot-name="[dialogue]" value="" />'+
                '<label for="scenes[][shots][][dialogue]">Dialogue</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="file-field col s12 m6 input-field">'+
                '<div class="btn">'+
                  '<span>Audio</span>'+
                  '<input type="file" name="scenes[][shots][][audio]" id="scenes[][shots][][audio]" data-shot-name="[audio]" accept="audio/*" />'+
                '</div>'+
                '<div class="file-path-wrapper">'+
                  '<input class="file-path validate" type="text">'+
                '</div>'+
              '</div>'+

              '<div class="col s12 m6 input-field">'+
                '<select name="scenes[][shots][][background_audio]" id="scenes[][shots][][background_audio]" data-shot-name="[background_audio]" >'+
                  '<option value="resume">Resume</option>'+
                  '<option value="pause">Pause</option>'+
                '</select>'+
                '<label for="scenes[][shots][][background_audio]">Background Audio</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="col s12 m6 input-field">'+
                '<input type="number" name="scenes[][shots][][background_volume]" id="scenes[][shots][][background_volume]" data-shot-name="[background_volume]" />'+
                '<label for="scenes[][shots][][background_volume]">Background Volume</label>'+
              '</div>'+
              '<div class="col s12 m6 input-field">'+
                '<select name="scenes[][shots][][character_position]" id="scenes[][shots][][character_position]" data-shot-name="[character_position]" >'+
                  '<option value="left">Left</option>'+
                  '<option value="right">Right</option>'+
                  '<option value="center">Center</option>'+
                '</select>'+
                '<label for="scenes[][shots][][character_position]">Character Position</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+

              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes[][shots][][background_position][0]" id="scenes[][shots][][background_position][0]" data-shot-name="[background_position][0]" />'+
                '<label for="scenes[][shots][][background_position][0]">x1</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes[][shots][][background_position][1]" id="scenes[][shots][][background_position][1]" data-shot-name="[background_position][1]" />'+
                '<label for="scenes[][shots][][background_position][1]">y1</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes[][shots][][background_position][2]" id="scenes[][shots][][background_position][2]" data-shot-name="[background_position][2]" />'+
                '<label for="scenes[][shots][][background_position][2]">x2</label>'+
              '</div>'+
              '<div class="input-field col s6 m3">'+
                '<input type="number" name="scenes[][shots][][background_position][3]" id="scenes[][shots][][background_position][3]" data-shot-name="[background_position][3]" />'+
                '<label for="scenes[][shots][][background_position][3]">y2</label>'+
              '</div>'+
            '</div>'+

            '<div class="row">'+
              '<div class="col s12 input-field">'+
                '<select name="scenes[][shots][][background_animation]" id="scenes[][shots][][background_animation]" data-shot-name="[background_animation]" >'+
                  '<option value="fade">Fade</option>'+
                  '<option value="shake">Shake</option>'+
                '</select>'+
                '<label for="scenes[][shots][][background_animation]">Background Animation</label>'+
              '</div>'+
            '</div>'+
          '</div>'+

      '</div>'+
    '</li>'
  );
  $('.collapsible.expandable').collapsible({
    accordion: false
  });

  $('select').formSelect();
  $('.tooltipped').tooltip();
}
