@extends('layouts.app')

@section('content')

@include('course.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Edit Course: {{ $course->name }}</span>
          <hr>
          {!! $errors !!}
          <div class="row">
            <div class="col s12">
              {!! Form::model($course, ['route' => ['course.update', $course->id], 'method' => 'PUT', 'class' => 'col
              s12', 'files' => true]) !!}

              {!! Form::token() !!}

              <div class="row">
                <div class="input-field col s12 m8">
                  <i class="material-icons prefix">book</i>
                  {!! Form::text('name', null, ['id' => 'name', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('name', 'Course Name') !!}
                </div>
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">fullscreen_exit</i>
                  {!! Form::text('short_code', null, ['id' => 'short_code', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('short_code', 'Short Code') !!}
                </div>
              </div>
              <div class="row">
                <div class="file-field input-field col s12 m8">
                  <div class="btn">
                    <span>Image <i class="material-icons left">photo</i></span>
                    {!! Form::file('image') !!}
                  </div>
                  <div class="file-path-wrapper">
                    <input class="file-path validate" type="text" value="{{ $course->image }}">
                  </div>
                </div>
                <div class="input-field col s12 m4">
                  <div class="switch">
                    <label>
                      Disabled
                      {!! Form::checkbox('enabled', true, true); !!}
                      <span class="lever"></span>
                      Enabled
                    </label>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">poll</i>
                  {!! Form::text('cost_in_points', null, ['id' => 'cost_in_points']) !!}
                  {!! Form::label('cost_in_points', 'Cost in Points') !!}
                </div>
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">blur_on</i>
                  {!! Form::text('cost_in_gems', null, ['id' => 'cost_in_gems']) !!}
                  {!! Form::label('cost_in_gems ', 'Cost in Gems') !!}
                </div>
              </div>
              <div class="row">
                <div class="input-field col s12">
                  {!! Form::textarea('description', null, ['id' => 'description', 'class' => 'materialize-textarea'])
                  !!}
                  {!! Form::label('description ', 'Description') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' =>
              'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
