@extends('layouts.app')

@section('content')

@include('course.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Courses</span>
          <hr>

          <div class="row">
            <div class="col s12">
              <table class="highlight responsive-table">
                <thead>
                  <tr>
                    <th></th>
                    <th>Short Code</th>
                    <th>Course Name</th>
                    <th>Cost in Ponts</th>
                    <th>Cost in Gems</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  @foreach ($courses as $course)
                  <tr>
                    <td><img src="{{ asset('storage/course/images/'.$course->image) }}" alt="" width="40" height="40" class="circle"></td>
                    <td>{{ $course->short_code }}</td>
                    <td>{{ $course->name }}</td>
                    <td>{{ $course->cost_in_points }}</td>
                    <td>{{ $course->cost_in_gems }}</td>
                    <td class="">
                      @if ($course->enabled)
                        <span class="green-text"><i class="material-icons left">check_circle</i>Enabled</span>
                      @else
                        <span class="red-text"><i class="material-icons left">cancel</i>Disabled</span>
                      @endif
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="{{ route('course.show', $course->id) }}" class="waves-effect waves-green btn-flat tooltipped" data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="{{ route('course.edit', $course->id) }}" class="waves-effect waves-teal btn-flat tooltipped" data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        {{ Form::open(['route' => ['course.destroy', $course->id], 'class' => 'inline-block']) }}
                          {{ Form::hidden('_method', 'DELETE') }}
                          <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                            <i class="material-icons red-text">delete_forever</i>
                          </button>
                        {{ Form::close() }}
                      </span>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
@endsection
