@extends('layouts.app')

@section('content')

@include('course.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <p class="card-title inline valign-wrapper">
            <img src="{{ asset('storage/course/images/'.$course->image) }}" alt="" width="40" height="40" class="circle">
            <span>{!! $course->short_code !!} | {!! $course->name !!}</span>
          </p>
          <hr>
          <div class="row">
            <div class="col s12">
              <div class="row">
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    <i class="material-icons left">poll</i>
                    Cost in Points: {{ $course->cost_in_points }}
                  </p>
                </div>
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    <i class="material-icons left">stars</i>
                    Cost in Gems: {{ $course->cost_in_gems }}
                  </p>
                </div>
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    @if ($course->enabled)
                    <span class="green-text"><i class="material-icons left">check_circle</i>Enabled</span>
                    @else
                    <span class="red-text"><i class="material-icons left">cancel</i>Disabled</span>
                    @endif
                  </p>
                </div>
              </div>

              <div class="row">
                <div class="col s12">
                  <small>Description</small>
                  <p>
                    {{ $course->description }}
                  </p>
                </div>
              </div>

              <div class="row">
                <div class="col s12">
                    <table class="highlight">
                        <thead>
                          <tr>
                            <th></th>
                            <th>Level Name</th>
                            <th>Level Group</th>
                            <th>Order</th>
                            <th>Difficulty</th>
                            <th>Unlock Cost in Points</th>
                            <th>Unlock Cost in Gems</th>
                            <th>Points Awarded on Completion</th>
                            <th>Gems Awarded on Completion</th>
                            <th>Decay Rate</th>
                          </tr>
                        </thead>

                        <tbody>
                          @foreach ($levels as $level)
                          <tr>
                            <td><img src="{{ asset('storage/level/images/'.$level->image) }}" alt="" width="40" height="40" class="circle"></td>
                            <td><a href="{{  route('level.show', $level->id) }}">{{ $level->name }}</a></td>
                            <td>{{ $level->group }}</td>
                            <td>{{ $level->order }}</td>
                            <td>{{ $level->difficulty }}</td>
                            <td>{{ $level->unlock_cost_in_points }}</td>
                            <td>{{ $level->unlock_cost_in_gems }}</td>
                            <td>{{ $level->points_awarded_on_completion }}</td>
                            <td>{{ $level->gems_awarded_on_completion }}</td>
                            <td>{{ $level->decay_rate }}</td>
                          </tr>
                          @endforeach
                        </tbody>
                      </table>
                </div>
              </div>

              <a class="btn-floating btn waves-effect waves-light teal right tooltipped" data-position="left" data-tooltip="Edit">
                <i class="material-icons">edit</i>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
