@extends('layouts.app')

@section('content')

@include('level.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Edit Level: {{ $level->name }}</span>
          <hr>
          {!! $errors !!}
          <div class="row">
            <div class="col s12">
              {!! Form::model($level, ['route' => ['level.update', $level->id], 'method' => 'PUT', 'class' => 'col s12', 'files' => true]) !!}

              {!! Form::token() !!}

              <div class="row">
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">linear_scale</i>
                  {!! Form::text('name', null, ['id' => 'name', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('name', 'Level Name') !!}
                </div>
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">group_work</i>
                  {!! Form::text('group', null, ['id' => 'group', 'class' => 'validate']) !!}
                  {!! Form::label('group', 'Group') !!}
                </div>
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">reorder</i>
                  {!! Form::number('order', null, ['id' => 'order', 'class' => 'validate']) !!}
                  {!! Form::label('order', 'Order') !!}
                </div>
              </div>

              <div class="row">
                <div class="file-field input-field col s12 m4">
                  <div class="btn">
                    <span>Image <i class="material-icons left">photo</i></span>
                    {!! Form::file('image') !!}
                  </div>
                  <div class="file-path-wrapper">
                    <input class="file-path validate" type="text" value="{{ $level->image }}">
                  </div>
                </div>
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">gavel</i>
                  {!! Form::text('difficulty', null, ['id' => 'difficulty']) !!}
                  {!! Form::label('difficulty', 'Difficulty') !!}
                </div>
                <div class="input-field col s12 m4">
                  <div class="switch">
                    <label>
                      {!! Form::checkbox('is_exam', true, $level->is_exam) !!}
                      <span class="lever"></span>
                      Is Exam?
                    </label>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">lock_open</i>
                  {!! Form::number('unlock_cost_in_points', null, ['id' => 'unlock_cost_in_points']) !!}
                  {!! Form::label('unlock_cost_in_points', 'Unlock cost in Points') !!}
                </div>
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">lock_open</i>
                  {!! Form::number('unlock_cost_in_gems', null, ['id' => 'unlock_cost_in_gems']) !!}
                  {!! Form::label('unlock_cost_in_gems', 'Unlock cost in Gems') !!}
                </div>
              </div>

              <div class="row">
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">stars</i>
                  {!! Form::number('points_awarded_on_completion', null, ['id' => 'points_awarded_on_completion']) !!}
                  {!! Form::label('points_awarded_on_completion', 'Points awarded on completion') !!}
                </div>
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">stars</i>
                  {!! Form::number('gems_awarded_on_completion', null, ['id' => 'gems_awarded_on_completion']) !!}
                  {!! Form::label('gems_awarded_on_completion', 'Gems awarded on completion') !!}
                </div>
              </div>

              <div class="row">
                <div class="input-field col s12">
                  {!! Form::textarea('description', null, ['id' => 'description', 'class' => 'materialize-textarea'])
                  !!}
                  {!! Form::label('description', 'Description') !!}
                </div>
              </div>
              <div class="row">
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">blur_on</i>
                  {!! Form::number('decay_rate', null, ['id' => 'decay_rate', 'step' => '0.0001']) !!}
                  {!! Form::label('decay_rate', 'Decay Rate') !!}
                </div>
                <div class="input-field col s12 m6">
                  {!! Form::select('courseId', $courses, null, ['id' => 'courseId']); !!}
                  {!! Form::label('courseId', 'Course') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' =>
              'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
