@extends('layouts.app')

@section('content')

@include('level.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Levels</span>
          <hr>
          <div class="row">
            <div class="col s12">
              <table class="highlight responsive-table">
                <thead>
                  <tr>
                    <th></th>
                    <th>Level Name</th>
                    <th>Level Group</th>
                    <th>Order</th>
                    <th>Difficulty</th>
                    <th>Unlock Cost in Points</th>
                    <th>Unlock Cost in Gems</th>
                    <th>Points Awarded on Completion</th>
                    <th>Gems Awarded on Completion</th>
                    <th>Decay Rate</th>
                    <th>Course</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  @foreach ($levels as $level)
                  <tr>
                    <td><img src="{{ asset('storage/level/images/'.$level->image) }}" alt="" width="40" height="40" class="circle"></td>
                    <td>{{ $level->name }}</td>
                    <td>{{ $level->group }}</td>
                    <td>{{ $level->order }}</td>
                    <td>{{ $level->difficulty }}</td>
                    <td>{{ $level->unlock_cost_in_points }}</td>
                    <td>{{ $level->unlock_cost_in_gems }}</td>
                    <td>{{ $level->points_awarded_on_completion }}</td>
                    <td>{{ $level->gems_awarded_on_completion }}</td>
                    <td>{{ $level->decay_rate }}</td>
                    <td>
                      @isset($level->course)
                      <a href="{{ route('course.show', $level->course->id) }}">{{ $level->course->name }}</a>
                      @endisset
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="{{ route('level.show', $level->id) }}" class="waves-effect waves-green btn-flat tooltipped"
                          data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="{{ route('level.edit', $level->id) }}" class="waves-effect waves-teal btn-flat tooltipped"
                          data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        {{ Form::open(['route' => ['level.destroy', $level->id], 'class' => 'inline-block']) }}
                        {{ Form::hidden('_method', 'DELETE') }}
                        <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                          <i class="material-icons red-text">delete_forever</i>
                        </button>
                        {{ Form::close() }}
                      </span>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
@endsection
