@extends('layouts.app')

@section('content')

@include('level.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <p class="card-title inline valign-wrapper">
            <img src="{{ asset('storage/level/images/'.$level->image) }}" alt="" width="40" height="40" class="circle">
            <span>{!! $level->name !!}</span>
          </p>
          <hr>

          <div class="row">
            <div class="col s12">

              <div class="row">
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    <i class="material-icons left">group_work</i>
                    Group: {{ $level->group }}
                  </p>
                </div>
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    <i class="material-icons left">reorder</i>
                    Order: {{ $level->order }}
                  </p>
                </div>
                <div class="col s12 m4">
                  <p class="valign-wrapper">
                    <i class="material-icons left">photo</i>
                    Difficulty: {{ $level->difficulty }}
                  </p>
                </div>
              </div>

              <div class="row">
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    <i class="material-icons left">gavel</i>
                    Unlock Cost in Points: {{ $level->unlock_cost_in_points }}
                  </p>
                </div>
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    <i class="material-icons left">stars</i>
                    Unlock Cost in Gems: {{ $level->unlock_cost_in_gems }}
                  </p>
                </div>
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    <i class="material-icons left">lock_open</i>
                    Points awarded on completion: {{ $level->points_awarded_on_completion }}
                  </p>
                </div>
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    <i class="material-icons left">lock_open</i>
                    Gems awarded on completion: {{ $level->gems_awarded_on_completion }}
                  </p>
                </div>
              </div>

              <div class="row">
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    <i class="material-icons left">blur_on</i>
                    Decay Rate: {{ $level->decay_rate }}
                  </p>
                </div>
                <div class="col s12 m3">
                  <p class="valign-wrapper">
                    @if ($level->is_exam)
                      <i class="material-icons left green-text">check_circle</i>
                    @else
                      <i class="material-icons left red-text">cancel</i>
                    @endif
                    Is Exam?
                  </p>
                </div>
                @isset($level->courseId)
                <div class="col s12 m3">
                  <p  class="valign-wrapper">
                    <i class="material-icons left">book</i>
                    Course:&nbsp;
                    <a href="{{ route('course.show', $level->courseId) }}">
                      {{ $level->course->name }}
                    </a>
                  </p>
                </div>
                @endisset
              </div>

              <div class="row">
                <div class="col s12">
                  <small>Description</small>
                  <p>
                    {{ $level->description }}
                  </p>
                </div>
              </div>

              <div class="row">
                <div class="col s12">
                  <table class="highlight">
                    <thead>
                      <tr>
                        <th>Phrase Audio</th>
                        <th>Total subphrases</th>
                        <th></th>
                      </tr>
                    </thead>

                    <tbody>
                      @foreach ($phrases as $phrase)
                      <tr>
                        <td>
                          <button type="button" class="btn-floating btn-large waves-effect waves-light btn-audio" data-audio="{{ $phrase->id }}">
                            <i class="material-icons">play_arrow</i>
                          </button>
                          <audio id="{{ $phrase->id }}">
                            <source src="{{ asset('storage/phrase/phrase/'.$phrase->phrase_audio) }}" >
                            Your browser does not support the audio element.
                          </audio>
                        </td>
                        <td>{{ count($phrase->name) }}</td>
                        <td>
                          <a href="{{ route('phrase.show', $phrase->id) }}" class="waves-effect waves-green btn-flat tooltipped"
                            data-position="bottom" data-tooltip="view">
                            <i class="material-icons green-text">remove_red_eye</i>
                          </a>
                        </td>
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                </div>
              </div>

              <a href="{{ route('level.edit', $level->id) }}" class="btn-floating btn waves-effect waves-light teal right tooltipped" data-position="left"
                data-tooltip="Edit">
                <i class="material-icons">edit</i>
              </a>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
