@extends('layouts.app')

@section('content')

@include('phrase.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Create New Phrase</span>
          <hr>
          {!! $errors !!}
          <div class="row">
            <div class="col s12">
              {!! Form::open(['route' => 'phrase.store', 'class' => 'col s12', 'files' => true]) !!}

              {{-- HTML Injected through phrase-form.js --}}
              <div id="phrase"></div>

              <hr>

              {{-- Add more phrase element through phrase-form.js --}}
              <div class="row">
                <div class="input-field col s12">
                  {!! Form::button('<i class="material-icons">add</i>', [
                    'type' => 'button',
                    'id' => 'add_phrase',
                    'class' => 'btn-floating btn waves-effect waves-light teal right tooltipped',
                    'data-position' => 'left',
                    'data-tooltip' => 'Add Phrase'
                  ]) !!}
                </div>
              </div>

              <div class="row">
                <div class="file-field input-field col s12 m6">
                  <div class="btn">
                    <span>Phrase Audio <i class="material-icons left">queue_music</i></span>
                    {!! Form::file('phrase_audio', ['accept' => 'audio/*']) !!}
                  </div>
                  <div class="file-path-wrapper">
                    <input class="file-path validate" type="text">
                  </div>
                </div>
                <div class="input-field col s12 m6">
                  {!! Form::select('levelId', $levels, null, ['id' => 'levelId']) !!}
                  {!! Form::label('levelId', 'Levels') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' => 'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
