@extends('layouts.app')

@section('content')

@include('phrase.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Edit Phrase: <small># {{ $phrase->id }}</small></span>
          <hr>
          {!! $errors !!}
          <div class="row">
            <div class="col s12">
              {!! Form::model($phrase, ['route' => ['phrase.update', $phrase->id], 'method' => 'PUT', 'class' => 'col s12', 'files' => true]) !!}

              {{-- HTML Injected through phrase-form.js --}}
              <div id="phrase">
                @foreach ($phrase->name as $sub)
                <div class="row phrase-element" data-id="{{ $loop->iteration }}">
                  <div class="input-field col s12 m6">
                    <i class="material-icons prefix">linear_scale</i>
                    <input type="text" name="name[{{ $loop->iteration }}][local_word]" value="{{ $sub->local_word }}" data-name="local_word" id="name[{{ $loop->iteration }}][local_word]" class="validate" required="">
                    <label for="name[{{ $loop->iteration }}][local_word]">Local Word</label>
                  </div>
                  <div class="input-field col s12 m6">
                    <i class="material-icons prefix">group_work</i>
                    <input type="text" name="name[{{ $loop->iteration }}][english_word]" value="{{ $sub->english_word }}" data-name="english_word" id="name[{{ $loop->iteration }}][english_word]" class="validate" required="">
                    <label for="name[{{ $loop->iteration }}][english_word]">English Word</label>
                  </div>
                  <div class="input-field file-field col s12 m6">
                    <div class="btn">
                      <span><i class="material-icons left">audiotrack</i>Audio</span>
                      <input type="file" name="name[{{ $loop->iteration }}][audio]" data-name="audio" id="name[{{ $loop->iteration }}][audio]" accept="audio/*" >
                    </div>
                    <div class="file-path-wrapper">
                      <input class="file-path validate" type="text" value="{{ $sub->audio }}">
                    </div>
                    <label for="name[{{ $loop->iteration }}][audio]" class="hide">Audio</label>
                  </div>
                  <div class="input-field file-field col s12 m6">
                    <div class="btn">
                      <span><i class="material-icons left">photo</i>Image</span>
                      <input type="file" name="name[{{ $loop->iteration }}][image]" data-name="image" id="name[{{ $loop->iteration }}][image]" accept="image/*" >
                    </div>
                    <div class="file-path-wrapper">
                      <input class="file-path validate" type="text" value="{{ $sub->image }}">
                    </div>
                    <label for="name[{{ $loop->iteration }}][image]" class="hide">Image</label>
                  </div>
                  <button class="waves-effect waves-red btn-small btn-flat right red lighten-5 red-text remove_phrase" data-index="{{ $loop->iteration }}">
                    <i class="material-icons left">remove_circle</i>REMOVE
                  </button>
                  <hr>
                </div>
                @endforeach
              </div>

              <hr>

              {{-- Add more phrase element through phrase-form.js --}}
              <div class="row">
                <div class="input-field col s12">
                  {!! Form::button('<i class="material-icons">add</i>', [
                    'type' => 'button',
                    'id' => 'add_phrase',
                    'class' => 'btn-floating btn waves-effect waves-light teal right tooltipped',
                    'data-position' => 'left',
                    'data-tooltip' => 'Add Phrase'
                  ]) !!}
                </div>
              </div>

              <div class="row">
                <div class="file-field input-field col s12 m6">
                  <div class="btn">
                    <span>Phrase Audio <i class="material-icons left">queue_music</i></span>
                    {!! Form::file('phrase_audio', ['accept' => 'audio/*']) !!}
                  </div>
                  <div class="file-path-wrapper">
                    <input class="file-path validate" type="text" value="{{ $phrase->phrase_audio }}">
                  </div>
                </div>
                <div class="input-field col s12 m6">
                  {!! Form::select('levelId', $levels, null, ['id' => 'levelId']) !!}
                  {!! Form::label('levelId', 'Levels') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' => 'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
