@extends('layouts.app')

@section('content')

@include('phrase.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Phrases</span>
          <hr>
          <div class="row">
            <div class="col s12">
              <table class="">
                <thead>
                  <tr>
                    <th>Sub phrases</th>
                    <th>Phrase Audio</th>
                    <th>Level</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  @foreach ($phrases as $phrase)
                  <tr>
                    <td>
                      <table>
                        <thead>
                          <tr>
                            <th><small>Local Word</small></th>
                            <th><small>English Word</small></th>
                            <th><small>Sub Phrase Audio</small></th>
                            <th><small>Sub Phrase Image</small></th>
                          </tr>
                        </thead>

                        <tbody>
                          @foreach ($phrase->name as $sub)
                          <tr>
                            <td>{{ $sub->local_word }}</td>
                            <td>{{ $sub->english_word }}</td>
                            <td>
                              <button type="button" class="btn-floating btn waves-effect waves-light red btn-audio" data-audio="{{ $phrase->id.'_'.$loop->iteration }}">
                                <i class="material-icons">play_arrow</i>
                              </button>
                              <audio id="{{ $phrase->id.'_'.$loop->iteration }}">
                                <source src="{{ asset('storage/phrase/audios/'.$sub->audio) }}" >
                                Your browser does not support the audio element.
                              </audio>
                            </td>
                            <td>
                              <img src="{{ asset('storage/phrase/images/'.$sub->image) }}" width="80" alt="">
                            </td>
                          </tr>
                          @endforeach
                        </tbody>
                      </table>
                    </td>
                    <td>
                      <button type="button" class="btn-floating btn-large waves-effect waves-light btn-audio" data-audio="{{ $phrase->id }}">
                        <i class="material-icons">play_arrow</i>
                      </button>
                      <audio id="{{ $phrase->id }}">
                        <source src="{{ asset('storage/phrase/phrase/'.$phrase->phrase_audio) }}" >
                        Your browser does not support the audio element.
                      </audio>
                    </td>
                    <td>
                      @isset($phrase->level)
                      <a href="{{ route('level.show', $phrase->level->id) }}">{{ $phrase->level->name }}</a>
                      @endisset
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="{{ route('phrase.show', $phrase->id) }}" class="waves-effect waves-green btn-flat tooltipped"
                          data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="{{ route('phrase.edit', $phrase->id) }}" class="waves-effect waves-teal btn-flat tooltipped"
                          data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        {{ Form::open(['route' => ['phrase.destroy', $phrase->id], 'class' => 'inline-block']) }}
                          {{ Form::hidden('_method', 'DELETE') }}
                          <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                            <i class="material-icons red-text">delete_forever</i>
                          </button>
                        {{ Form::close() }}
                      </span>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
@endsection
