@extends('layouts.app')

@section('content')

@include('phrase.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <p class="card-title inline valign-wrapper">
            <span># <small>{!! $phrase->id !!}</small></span>
          </p>
          <hr>
          <div class="row">
            <div class="col s12">
              <table>
                <thead>
                  <tr>
                    <th><small>Local Word</small></th>
                    <th><small>English Word</small></th>
                    <th><small>Sub Phrase Audio</small></th>
                    <th><small>Sub Phrase Image</small></th>
                  </tr>
                </thead>

                <tbody>
                  @foreach ($phrase->name as $sub)
                  <tr>
                    <td>{{ $sub->local_word }}</td>
                    <td>{{ $sub->english_word }}</td>
                    <td>
                      <button type="button" class="btn-floating btn waves-effect waves-light red btn-audio" data-audio="{{ $phrase->id.'_'.$loop->iteration }}">
                        <i class="material-icons">play_arrow</i>
                      </button>
                      <audio id="{{ $phrase->id.'_'.$loop->iteration }}">
                        <source src="{{ asset('storage/phrase/audios/'.$sub->audio) }}" >
                        Your browser does not support the audio element.
                      </audio>
                    </td>
                    <td>
                      <img src="{{ asset('storage/phrase/images/'.$sub->image) }}" width="80" alt="">
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
          <div class="row">
            <div class="col s12 m6">
              <p>Phrase Audio</p>
              <button type="button" class="btn-floating btn-large waves-effect waves-light btn-audio" data-audio="{{ $phrase->id }}">
                <i class="material-icons">play_arrow</i>
              </button>
              <audio id="{{ $phrase->id }}">
                <source src="{{ asset('storage/phrase/phrase/'.$phrase->phrase_audio) }}" >
                Your browser does not support the audio element.
              </audio>
            </div>
            <div class="col s12 m6">
              <p>Level</p>

              @isset($phrase->level)
              <a href="{{ route('level.show', $phrase->level->id) }}">{{ $phrase->level->name }}</a>
              @endisset
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
@endsection
