@extends('layouts.app')

@section('content')

@include('story.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Create New Story</span>
          <hr>
          <div class="row">
            <div class="col s12">
              {!! Form::open(['route' => 'story.store', 'class' => 'col s12', 'files' => true]) !!}

              {!! Form::token() !!}

              <div class="row">
                <div class="col s12">
                  <div class="scenes" id="scenes">

                  </div>

                  <div class="row">
                    <div class="col s12">
                      <a class="add-scene waves-effect waves-teal blue lighten-3 btn-flat white-text right ">
                        <i class="material-icons left">add</i>
                        Add Scene
                      </a>
                    </div>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="input-field col s12 m6">
                  {!! Form::select('levelId', $levels, null, ['id' => 'levelId']); !!}
                  {!! Form::label('levelId', 'Level') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' => 'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
{{--
<div class="row">
  <div class="col s12">
    <div class="scenes">

      <div class="scene hoverable blue-grey lighten-5">

        <p class="chip blue white-text">Scene 1</p>

        <button class="btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove scene">
          <i class="material-icons">close</i>
        </button>

        <div class="row">
          <div class="col s12 m6">
            <div class="file-field input-field">
              <div class="btn">
                <span>BG IMAGE</span>
                <input type="file" name="scenes[][background_image]" id="scenes[][background_image]">
              </div>
              <div class="file-path-wrapper">
                <input class="file-path validate" type="text">
              </div>
            </div>
          </div>
          <div class="col s12 m6">
            <div class="file-field input-field">
              <div class="btn">
                <span>Audio</span>
                <input type="file" name="scenes[][audio]" id="scenes[][audio]">
              </div>
              <div class="file-path-wrapper">
                <input class="file-path validate" type="text">
              </div>
            </div>
          </div>
        </div>

        <div class="row">
          <p><small>Background Position</small></p>

          <div class="input-field col s6 m3">
            <input type="number" name="scenes[][background_default_view][]" id="scenes[][background_default_view][]">
            <label for="scenes[][background_default_view][]">x1</label>
          </div>
          <div class="input-field col s6 m3">
            <input type="number" name="scenes[][background_default_view][]" id="scenes[][background_default_view][]">
            <label for="scenes[][background_default_view][]">y1</label>
          </div>
          <div class="input-field col s6 m3">
            <input type="number" name="scenes[][background_default_view][]" id="scenes[][background_default_view][]">
            <label for="scenes[][background_default_view][]">x2</label>
          </div>
          <div class="input-field col s6 m3">
            <input type="number" name="scenes[][background_default_view][]" id="scenes[][background_default_view][]">
            <label for="scenes[][background_default_view][]">y2</label>
          </div>
        </div>

        <div class="switch">
          <label>
            Loop Off
            <input type="checkbox" name="scenes[][loop_audio]" id="scenes[][loop_audio]" value="1">
            <span class="lever"></span>
            Loop On
          </label>
        </div>

        <div class="row">
          <div class="col s12">
              <a class="waves-effect waves-teal green lighten-3 btn-flat white-text right add-shot">
                <i class="material-icons left">add</i>
                Add Shot
              </a>
          </div>
        </div>

        <ul class="collapsible">
          <li>
            <div class="collapsible-header">Shot 1</div>
            <div class="collapsible-body grey lighten-5">
                  <div class="shot ">

                    <p class="chip green white-text">Shot 1</p>

                    <button class="btn-floating btn-small waves-effect waves-light red right tooltipped" data-position="left" data-tooltip="Remove shot">
                      <i class="material-icons">close</i>
                    </button>

                    <div class="row">
                      <div class="input-field col s12 m6">
                        <select name="scenes[][shots][][character_type]" id="scenes[][shots][][character_type]">
                          <option value="full">Full</option>
                          <option value="half">Half</option>
                          <option value="none">None</option>
                        </select>
                        <label for="scenes[][shots][][character_type]">Character Type</label>
                      </div>

                      <div class="file-field input-field col s12 m6">
                        <div class="btn">
                          <span>CHARACTER IMAGE</span>
                          <input type="file" name="scenes[][shots][][character_image]" id="scenes[][shots][][character_image]">
                        </div>
                        <div class="file-path-wrapper">
                          <input class="file-path validate" type="text">
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="input-field col s12 m6">
                        <input type="text" name="scenes[][shots][][name]" id="scenes[][shots][][name]" value="...">
                        <label for="scenes[][shots][][character_image]">Name</label>
                      </div>

                      <div class="input-field col s12 m6">
                        <input type="text" name="scenes[][shots][][dialogue]" id="scenes[][shots][][dialogue]" value="">
                        <label for="scenes[][shots][][dialogue]">Dialogue</label>
                      </div>
                    </div>

                    <div class="row">
                      <div class="file-field col s12 m6 input-field">
                        <div class="btn">
                          <span>Audio</span>
                          <input type="file" name="scenes[][shots][][audio]" id="scenes[][shots][][audio]">
                        </div>
                        <div class="file-path-wrapper">
                          <input class="file-path validate" type="text">
                        </div>
                      </div>

                      <div class="col s12 m6 input-field">
                        <select name="scenes[][shots][][background_audio]" id="scenes[][shots][][background_audio]">
                          <option value="resume">Resume</option>
                          <option value="pause">Pause</option>
                        </select>
                        <label for="scenes[][shots][][background_audio]">Character Position</label>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col s12 m6 input-field">
                        <input type="number" name="scenes[][shots][][background_volume]" id="scenes[][shots][][background_volume]">
                        <label for="scenes[][shots][][background_volume]">Background Volume</label>
                      </div>
                      <div class="col s12 m6 input-field">
                        <select name="scenes[][shots][][character_position]" id="scenes[][shots][][character_position]">
                          <option value="left">Left</option>
                          <option value="right">Right</option>
                          <option value="center">Center</option>
                        </select>
                        <label for="scenes[][shots][][character_position]">Character Position</label>
                      </div>
                    </div>

                    <div class="row">
                      <p><small>Background Position</small></p>

                      <div class="input-field col s6 m3">
                        <input type="number" name="scenes[][shots][][background_position]" id="scenes[][shots][][background_position]">
                        <label for="scenes[][shots][][background_position][]">x1</label>
                      </div>
                      <div class="input-field col s6 m3">
                        <input type="number" name="scenes[][shots][][background_position][]" id="scenes[][shots][][background_position][]">
                        <label for="scenes[][shots][][background_position][]">y1</label>
                      </div>
                      <div class="input-field col s6 m3">
                        <input type="number" name="scenes[][shots][][background_position][]" id="scenes[][shots][][background_position][]">
                        <label for="scenes[][shots][][background_position][]">x2</label>
                      </div>
                      <div class="input-field col s6 m3">
                        <input type="number" name="scenes[][shots][][background_position][]" id="scenes[][shots][][background_position][]">
                        <label for="scenes[][shots][][background_position][]">y2</label>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col s12 input-field">
                        <select name="scenes[][shots][][background_animation]" id="scenes[][shots][][background_animation]">
                          <option value="fade">Fade</option>
                          <option value="shake">Shake</option>
                        </select>
                        <label for="scenes[][shots][][background_animation]">Background Animation</label>
                      </div>
                    </div>
                  </div>

            </div>
          </li>
        </ul>

      </div>

    </div>
    <hr>

  </div>
</div> --}}
