@extends('layouts.app')

@section('content')

@include('story.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Edit Story</span>
          <hr>
          <div class="row">
            <div class="col s12">
              {!! Form::model($story, ['route' => ['story.update', $story->id], 'class' => 'col s12', 'method' => 'PUT', 'files' => true, 'target' => '_blank']) !!}

              {!! Form::token() !!}

              <div class="row">
                <div class="col s12">
                  <div class="scenes" id="scenes">
                    @foreach ($story->scene as $i => $scene)
                    <div class="scene hoverable blue-grey lighten-5" data-scene-id="{{ $i }}">
                      <p class="chip blue white-text">Scene {{ $i }}</p>

                      {!! Form::button('<i class="material-icons">close</i>',
                      [
                        'type' => 'button',
                        'role' => 'button',
                        'class' => 'btn-rm-scene btn-floating btn-small waves-effect waves-light red right tooltipped',
                        'data-position' => 'left',
                        'data-tooltip' => 'Remove scene'
                      ])
                      !!}

                      <div class="row">
                        <div class="col s12 m6">
                          <div class="file-field input-field">
                            <div class="btn">
                              <span>BG IMAGE</span>
                              {!! Form::file('scenes[][background_image]',
                              [
                                'id' => 'scenes[][background_image]',
                                'data-scene-name' => '[background_image]',
                                'accept' => 'image/*'
                              ]);
                              !!}
                            </div>
                            <div class="file-path-wrapper">
                              <input class="file-path validate" type="text" value="{{ $scene->background_image }}">
                            </div>
                          </div>
                        </div>
                        <div class="col s12 m6">
                          <div class="file-field input-field">
                            <div class="btn">
                              <span>Audio</span>
                              {!! Form::file('scenes[][audio]',
                              [
                                'id' => 'scenes[][audio]',
                                'data-scene-name' => '[audio]',
                                'accept' => 'audio/*'
                              ]);
                              !!}
                            </div>
                            <div class="file-path-wrapper">
                              <input class="file-path validate" type="text" value="{{ $scene->audio }}">
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <p><small>Background Position</small></p>

                        <div class="input-field col s6 m3">
                          {{ Form::number('scenes[][background_default_view][0]',
                          $scene->background_default_view[0], [
                            'id' => 'scenes[][background_default_view][0]',
                            'data-scene-name' => '[background_default_view][0]'
                          ]) }}
                          {{ Form::label('scenes[][background_default_view][0]', 'x1') }}
                        </div>
                        <div class="input-field col s6 m3">
                          {{ Form::number('scenes[][background_default_view][1]',
                          $scene->background_default_view[1], [
                            'id' => 'scenes[][background_default_view][1]',
                            'data-scene-name' => '[background_default_view][1]'
                          ]) }}
                          {{ Form::label('scenes[][background_default_view][1]', 'y1') }}
                        </div>
                        <div class="input-field col s6 m3">
                          {{ Form::number('scenes[][background_default_view][2]',
                          $scene->background_default_view[2], [
                            'id' => 'scenes[][background_default_view][2]',
                            'data-scene-name' => '[background_default_view][2]'
                          ]) }}
                          {{ Form::label('scenes[][background_default_view][2]', 'x2') }}
                        </div>
                        <div class="input-field col s6 m3">
                          {{ Form::number('scenes[][background_default_view][3]',
                          $scene->background_default_view[3], [
                            'id' => 'scenes[][background_default_view][3]',
                            'data-scene-name' => '[background_default_view][3]'
                          ]) }}
                          {{ Form::label('scenes[][background_default_view][3]', 'y2') }}
                        </div>
                      </div>

                      <div class="switch input-field">
                        <label>
                          Loop Off
                          {!! Form::checkbox('scenes[][loop_audio]', 1, $scene->loop_audio, [
                            'id' => 'scenes[][loop_audio]',
                            'data-scene-name' => '[loop_audio]'
                          ]) !!}
                          <span class="lever"></span>
                          Loop On
                        </label>
                      </div>

                      <div class="row">
                        <div class="col s12">
                          <a class="add-shot waves-effect waves-teal green lighten-3 btn-flat white-text right">
                            <i class="material-icons left">add</i>
                            Add Shot
                          </a>
                        </div>
                      </div>

                      <ul class="collapsible expandable shots">
                        @foreach ($scene->shots as $j => $shot)
                        <li class="shot active" data-shot-id="{{ $j }}">
                          <div class="collapsible-header shot-title">Shot {{ $j }}</div>
                          <div class="collapsible-body grey lighten-5">
                            <div class="shot-elem">

                              <p class="chip green white-text shot-title">Shot {{ $j }}</p>

                              {!! Form::button('<i class="material-icons">close</i>',
                              [
                                'type' => 'button',
                                'role' => 'button',
                                'class' => 'btn-rm-shot btn-floating btn-small waves-effect waves-light red right tooltipped',
                                'data-position' => 'left',
                                'data-tooltip' => 'Remove shot'
                              ])
                              !!}

                              <div class="row">
                                <div class="input-field col s12 m6">
                                  {!! Form::select('scenes[][shots][][character_type]',
                                  [
                                    'full' => 'Full',
                                    'half' => 'Half',
                                    'none' => 'None',
                                  ] , $shot->character_type,
                                  [
                                    'id' => 'scenes[][shots][][character_type]',
                                    'data-shot-name' => '[character_type]'
                                  ]); !!}
                                  {{ Form::label('scenes[][shots][][character_type]', 'Character Type') }}
                                </div>

                                <div class="file-field input-field col s12 m6">
                                  <div class="btn">
                                    <span>CHARACTER IMAGE</span>
                                    {!! Form::file('scenes[][shots][][character_image]',
                                    [
                                      'id' => 'scenes[][shots][][character_image]',
                                      'data-shot-name' => '[character_image]',
                                      'accept' => 'image/*'
                                    ]);
                                    !!}
                                  </div>
                                  <div class="file-path-wrapper">
                                    <input class="file-path validate" type="text" value="{{ $shot->character_image }}">
                                  </div>
                                </div>
                              </div>

                              <div class="row">
                                <div class="input-field col s12 m6">
                                  {{ Form::text('scenes[][shots][][name]', $shot->name,
                                  [
                                    'id' => 'scenes[][shots][][name]',
                                    'data-shot-name' => '[name]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][character_image]', 'Name') }}
                                </div>

                                <div class="input-field col s12 m6">
                                  {{ Form::text('scenes[][shots][][dialogue]', $shot->dialogue,
                                  [
                                    'id' => 'scenes[][shots][][dialogue]',
                                    'data-shot-name' => '[dialogue]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][dialogue]', 'Dialogue') }}
                                </div>
                              </div>

                              <div class="row">
                                <div class="file-field col s12 m6 input-field">
                                  <div class="btn">
                                    <span>Audio</span>
                                    {!! Form::file('scenes[][shots][][audio]',
                                    [
                                      'id' => 'scenes[][shots][][audio]',
                                      'data-shot-name' => '[audio]',
                                      'accept' => 'audio/*'
                                    ]);
                                    !!}
                                  </div>
                                  <div class="file-path-wrapper">
                                    <input class="file-path validate" type="text" value="{{ $shot->audio }}">
                                  </div>
                                </div>

                                <div class="col s12 m6 input-field">
                                  {!! Form::select('scenes[][shots][][background_audio]',
                                  [
                                    'resume' => 'Resume',
                                    'pause' => 'Pause',
                                  ] , $shot->background_audio,
                                  [
                                    'id' => 'scenes[][shots][][background_audio]',
                                    'data-shot-name' => '[background_audio]'
                                  ]); !!}
                                  {{ Form::label('scenes[][shots][][background_audio]', 'Background Audio') }}
                                </div>
                              </div>

                              <div class="row">
                                <div class="col s12 m6 input-field">
                                  {{ Form::number('scenes[][background_volume]',
                                  $shot->background_volume, [
                                    'id' => 'scenes[][background_volume]',
                                    'data-shot-name' => '[background_volume]'
                                  ]) }}
                                  {{ Form::label('scenes[][background_volume]', 'Background Volume') }}
                                </div>
                                <div class="col s12 m6 input-field">
                                  {!! Form::select('scenes[][shots][][character_position]',
                                  [
                                    'left' => 'Left',
                                    'right' => 'Right',
                                    'center' => 'Center',
                                  ] , $shot->character_position,
                                  [
                                    'id' => 'scenes[][shots][][character_position]',
                                    'data-shot-name' => '[character_position]'
                                  ]); !!}
                                  {{ Form::label('scenes[][shots][][character_position]', 'Character Position') }}
                                </div>
                              </div>

                              <div class="row">

                                <div class="input-field col s6 m3">
                                  {{ Form::number('scenes[][shots][][background_position][0]',
                                  $shot->background_position[0], [
                                    'id' => 'scenes[][shots][][background_position][0]',
                                    'data-shot-name' => '[background_position][0]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][background_position][0]', 'x1') }}
                                </div>
                                <div class="input-field col s6 m3">
                                  {{ Form::number('scenes[][shots][][background_position][1]',
                                  $shot->background_position[1], [
                                    'id' => 'scenes[][shots][][background_position][1]',
                                    'data-shot-name' => '[background_position][1]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][background_position][1]', 'y1') }}
                                </div>
                                <div class="input-field col s6 m3">
                                  {{ Form::number('scenes[][shots][][background_position][2]',
                                  $shot->background_position[2], [
                                    'id' => 'scenes[][shots][][background_position][2]',
                                    'data-shot-name' => '[background_position][2]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][background_position][2]', 'x2') }}
                                </div>
                                <div class="input-field col s6 m3">
                                  {{ Form::number('scenes[][shots][][background_position][3]',
                                  $shot->background_position[3], [
                                    'id' => 'scenes[][shots][][background_position][3]',
                                    'data-shot-name' => '[background_position][3]'
                                  ]) }}
                                  {{ Form::label('scenes[][shots][][background_position][3]', 'y2') }}
                                </div>
                              </div>

                              <div class="row">
                                <div class="col s12 input-field">
                                  {!! Form::select('scenes[][shots][][background_animation]',
                                  [
                                    'fade' => 'Fade',
                                    'shake' => 'Shake',
                                  ] , $shot->background_animation,
                                  [
                                    'id' => 'scenes[][shots][][background_animation]',
                                    'data-shot-name' => '[background_animation]'
                                  ]); !!}
                                  {{ Form::label('scenes[][shots][][character_position]', 'Background Animation') }}
                                </div>
                              </div>
                            </div>

                          </div>
                        </li>
                        @endforeach
                      </ul>

                    </div>
                    @endforeach
                  </div>

                  <div class="row">
                    <div class="col s12">
                      {!! Form::button('<i class="material-icons left">add</i>Add Scene',
                      [
                        'type' => 'button',
                        'role' => 'button',
                        'class' => 'add-scene waves-effect waves-teal blue lighten-3 btn-flat white-text right',
                        'data-position' => 'left',
                        'data-tooltip' => 'Remove scene'
                      ])
                      !!}
                    </div>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="input-field col s12 m6">
                  {!! Form::select('levelId', $levels, null, ['id' => 'levelId']); !!}
                  {!! Form::label('levelId', 'Level') !!}
                </div>
              </div>

              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' => 'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
