@extends('layouts.app')

@section('content')

@include('story.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">All Story</span>
          <hr>
          <div class="row">
            <div class="col s12">
              <table class="highlight">
                <thead>
                  <tr>
                    <th>Scenes</th>
                    <th>Shots</th>
                    <th>Level</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  @foreach ($stories as $story)
                  <tr>
                    <td>{{ count($story->scene) }}</td>
                    <td>
                      @php
                        $count = 0;
                      @endphp
                      @foreach ($story->scene as $s)
                        @php
                          $count += count($s->shots);
                        @endphp
                      @endforeach
                      {{ $count }}
                    </td>
                    <td>
                      @isset($story->level)
                      <a href="{{ route('level.show', $story->level->id) }}">{{ $story->level->name }}</a>
                      @endisset
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="{{ route('story.show', $story->id) }}" class="waves-effect waves-green btn-flat tooltipped"
                          data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="{{ route('story.edit', $story->id) }}" class="waves-effect waves-teal btn-flat tooltipped"
                          data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        {{ Form::open(['route' => ['story.destroy', $story->id], 'class' => 'inline-block']) }}
                        {{ Form::hidden('_method', 'DELETE') }}
                        <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                          <i class="material-icons red-text">delete_forever</i>
                        </button>
                        {{ Form::close() }}
                      </span>
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
