@extends('layouts.app')

@section('content')

@include('user.header')

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Create New User</span>
          <hr>
          {!! $errors !!}
          <div class="row">
            <div class="col s12">
              {!! Form::open(['route' => 'user.store', 'class' => 'col s12', 'files' => true]) !!}

              {!! Form::token() !!}

              <div class="row">
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">person</i>
                  {!! Form::text('realm', null, ['id' => 'realm', 'class' => 'validate']) !!}
                  {!! Form::label('realm', 'Realm') !!}
                </div>
                <div class="input-field col s12 m6">
                  <i class="material-icons prefix">person_pin</i>
                  {!! Form::text('username', null, ['id' => 'username', 'class' => 'validate']) !!}
                  {!! Form::label('username', 'User name') !!}
                </div>
              </div>
              <div class="row">
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">email</i>
                  {!! Form::email('email', null, ['id' => 'email', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('email', 'Email') !!}
                </div>
              </div>
              <div class="row">
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">lock</i>
                  {!! Form::password('password', null, ['id' => 'password', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('password', 'Password') !!}
                </div>
                <div class="input-field col s12 m4">
                  <i class="material-icons prefix">lock</i>
                  {!! Form::password('password_confirmation', null, ['id' => 'password_confirmation', 'class' => 'validate', 'required']) !!}
                  {!! Form::label('password_confirmation', 'Confirm Password') !!}
                </div>
              </div>
              {!! Form::button('Submit<i class="material-icons right">send</i>', ['type' => 'submit', 'class' => 'btn']); !!}

              {!! Form::close() !!}
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</section>
@endsection
