<?php $__env->startSection('content'); ?>

<?php echo $__env->make('phrase.header', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Phrases</span>
          <hr>
          <div class="row">
            <div class="col s12">
              <table class="">
                <thead>
                  <tr>
                    <th>Sub phrases</th>
                    <th>Phrase Audio</th>
                    <th>Level</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  <?php $__currentLoopData = $phrases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $phrase): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td>
                      <table>
                        <thead>
                          <tr>
                            <th><small>Local Word</small></th>
                            <th><small>English Word</small></th>
                            <th><small>Sub Phrase Audio</small></th>
                            <th><small>Sub Phrase Image</small></th>
                          </tr>
                        </thead>

                        <tbody>
                          <?php $__currentLoopData = $phrase->name; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <tr>
                            <td><?php echo e($sub->local_word); ?></td>
                            <td><?php echo e($sub->english_word); ?></td>
                            <td>
                              <button type="button" class="btn-floating btn waves-effect waves-light red btn-audio" data-audio="<?php echo e($phrase->id.'_'.$loop->iteration); ?>">
                                <i class="material-icons">play_arrow</i>
                              </button>
                              <audio id="<?php echo e($phrase->id.'_'.$loop->iteration); ?>">
                                <source src="<?php echo e(asset('storage/phrase/audios/'.$sub->audio)); ?>" >
                                Your browser does not support the audio element.
                              </audio>
                            </td>
                            <td>
                              <img src="<?php echo e(asset('storage/phrase/images/'.$sub->image)); ?>" width="80" alt="">
                            </td>
                          </tr>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                      </table>
                    </td>
                    <td>
                      <button type="button" class="btn-floating btn-large waves-effect waves-light btn-audio" data-audio="<?php echo e($phrase->id); ?>">
                        <i class="material-icons">play_arrow</i>
                      </button>
                      <audio id="<?php echo e($phrase->id); ?>">
                        <source src="<?php echo e(asset('storage/phrase/phrase/'.$phrase->phrase_audio)); ?>" >
                        Your browser does not support the audio element.
                      </audio>
                    </td>
                    <td>
                      <?php if(isset($phrase->level)): ?>
                      <a href="<?php echo e(route('level.show', $phrase->level->id)); ?>"><?php echo e($phrase->level->name); ?></a>
                      <?php endif; ?>
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="<?php echo e(route('phrase.show', $phrase->id)); ?>" class="waves-effect waves-green btn-flat tooltipped"
                          data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="<?php echo e(route('phrase.edit', $phrase->id)); ?>" class="waves-effect waves-teal btn-flat tooltipped"
                          data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        <?php echo e(Form::open(['route' => ['phrase.destroy', $phrase->id], 'class' => 'inline-block'])); ?>

                          <?php echo e(Form::hidden('_method', 'DELETE')); ?>

                          <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                            <i class="material-icons red-text">delete_forever</i>
                          </button>
                        <?php echo e(Form::close()); ?>

                      </span>
                    </td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>