<?php $__env->startSection('content'); ?>

<?php echo $__env->make('level.header', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>

<section class="">
  <div class="row">
    <div class="col s12">
      <div class="card white">
        <div class="card-content white">
          <span class="card-title">Levels</span>
          <hr>
          <div class="row">
            <div class="col s12">
              <table class="highlight responsive-table">
                <thead>
                  <tr>
                    <th></th>
                    <th>Level Name</th>
                    <th>Level Group</th>
                    <th>Order</th>
                    <th>Difficulty</th>
                    <th>Unlock Cost in Points</th>
                    <th>Unlock Cost in Gems</th>
                    <th>Points Awarded on Completion</th>
                    <th>Gems Awarded on Completion</th>
                    <th>Decay Rate</th>
                    <th>Course</th>
                    <th></th>
                  </tr>
                </thead>

                <tbody>
                  <?php $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td><img src="<?php echo e(asset('storage/level/images/'.$level->image)); ?>" alt="" width="40" height="40" class="circle"></td>
                    <td><?php echo e($level->name); ?></td>
                    <td><?php echo e($level->group); ?></td>
                    <td><?php echo e($level->order); ?></td>
                    <td><?php echo e($level->difficulty); ?></td>
                    <td><?php echo e($level->unlock_cost_in_points); ?></td>
                    <td><?php echo e($level->unlock_cost_in_gems); ?></td>
                    <td><?php echo e($level->points_awarded_on_completion); ?></td>
                    <td><?php echo e($level->gems_awarded_on_completion); ?></td>
                    <td><?php echo e($level->decay_rate); ?></td>
                    <td>
                      <?php if(isset($level->course)): ?>
                      <a href="<?php echo e(route('course.show', $level->course->id)); ?>"><?php echo e($level->course->name); ?></a>
                      <?php endif; ?>
                    </td>
                    <td>
                      <span class="secondary-content">
                        <a href="<?php echo e(route('level.show', $level->id)); ?>" class="waves-effect waves-green btn-flat tooltipped"
                          data-position="bottom" data-tooltip="view">
                          <i class="material-icons green-text">remove_red_eye</i>
                        </a>
                        <a href="<?php echo e(route('level.edit', $level->id)); ?>" class="waves-effect waves-teal btn-flat tooltipped"
                          data-position="bottom" data-tooltip="edit">
                          <i class="material-icons cyan-text">edit</i>
                        </a>
                        <?php echo e(Form::open(['route' => ['level.destroy', $level->id], 'class' => 'inline-block'])); ?>

                        <?php echo e(Form::hidden('_method', 'DELETE')); ?>

                        <button class="waves-effect waves-red btn-flat tooltipped" data-position="bottom" data-tooltip="delete">
                          <i class="material-icons red-text">delete_forever</i>
                        </button>
                        <?php echo e(Form::close()); ?>

                      </span>
                    </td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>